/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.275 Revision 1.469
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.275 2007/05/24 18:17:45 rbrown Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.469 2010/08/21 16:12:31 jer Exp $
4
5 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
6 Stable for PPC (bug #332957).
7
8 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
9 Stable for HPPA (bug #332957).
10
11*ruby-1.8.7_p302 (21 Aug 2010)
12
13 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
14 +ruby-1.8.7_p302.ebuild:
15 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
16 installation path.
17
18*ruby-1.8.6_p399 (19 Aug 2010)
19
20 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
21 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
22 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
23 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
24 installation path (reported by the x86 team in bug 332597)
25
26*ruby-1.9.2_rc2-r1 (18 Aug 2010)
27
28 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
29 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
30 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
31 the rubygems loading code. Add USE flag for psych.
32
33 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
34 ruby-1.9.2_rc2.ebuild:
35 Remove two keepdir that will try to keep an empty path, closes bug
36 #333163.
37
38 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
39 Marked ~ppc (bug #332593).
40
41 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
42 ruby-1.9.2_rc2.ebuild:
43 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
44
45 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
46 ruby-1.8.7_p299.ebuild:
47 Bump eselect-ruby dependency
48
49 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
50 -ruby-1.9.1_p429.ebuild:
51 Remove ebuild that is not target for unmask anyway.
52
53 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
54 ruby-1.9.2_rc2.ebuild:
55 Try 2 to fix the berkdb 5 issue on 1.9.
56
57 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
58 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
59 ruby-1.9.2_rc2.ebuild:
60 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
61 support for adding new patchsets without bumping the revision for all the
62 old ebuilds as well.
63
64*ruby-1.9.2_rc2 (14 Jul 2010)
65
66 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
67 +ruby-1.9.2_rc2.ebuild:
68 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
69 might cause _further_ build failures as it changed slightly behaviour.
70 You're going to need to rebuild rubygems and then all the packages
71 previously installed after upgrading to this.
72
73 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
74 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
75 -ruby-1.9.1_p376.ebuild:
76 Cleanup old versions.
77
78*ruby-1.9.1_p429 (04 Jul 2010)
79
80 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
81 +ruby-1.9.1_p429.ebuild:
82 Version bump to new 1.9.1 release.
83
84*ruby-1.8.7_p299 (23 Jun 2010)
85
86 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
87 +ruby-1.8.7_p299.ebuild:
88 Version bump.
89
90 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
91 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
92 remove useless comments
93
94 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
95 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
96 ruby-1.9.1_p376.ebuild:
97 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
98 dev.gentoo.org now.
99
100 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
101 ruby-1.9.1_p376.ebuild:
102 Use the correct RUBYLIB.
103
104*ruby-1.8.7_p249-r2 (18 May 2010)
105*ruby-1.8.6_p388-r1 (18 May 2010)
106
107 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
108 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
109 ruby-1.9.1_p376.ebuild, metadata.xml:
110 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
111 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
112 add USE flags for ncurses, readline and libedit, and properly depend on
113 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
114 Emacs versions support ruby-mode themselves and it should be even more
115 updated.
116
117*ruby-1.8.7_p249-r1 (06 May 2010)
118
119 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
120 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
121 309789 by Sune Kloppenborg Jeppesen.
122
123 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
124 ruby-1.8.7_p249.ebuild:
125 Use $PVR instead of $PV in patchset names
126
127 06 May 2010; Alex Legler <a3li@gentoo.org>
128 -files/ruby-1.8.6-memory-leak.diff,
129 -files/ruby18-mkmf-parallel-install.patch,
130 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
131 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
132 Remove old version. Cleanup in files/
133
134*ruby-1.9.1_p376 (01 May 2010)
135
136 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
137 Version bump. Fixes security bugs 296052 and 300468. No longer installs
138 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
139 instead.
140
141 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
142 -ruby-1.8.7_p174-r1.ebuild:
143 Remove vulnerable ebuilds, 300468
144
145 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
146 ruby-1.8.7_p249.ebuild:
147 amd64 stable, security bug 300468
148
149 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
150 ruby-1.8.7_p249.ebuild:
151 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
152
153 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
154 Stable for HPPA (bug #300468).
155
156 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
157 Stable for HPPA (bug #300468).
158
159 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
160 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
161
162 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
163 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
164
165 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
166 ruby-1.8.6_p388.ebuild:
167 stable x86, security bug 300468
168
169 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
170 ruby-1.8.7_p249.ebuild:
171 stable x86, security bug 300468
172
173*ruby-1.8.6_p388 (10 Jan 2010)
174
175 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
176 +ruby-1.8.6_p388.ebuild:
177 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
178 version. The new ebuild also has the fix for bug 168939.
179
180*ruby-1.8.7_p249 (10 Jan 2010)
181
182 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
183 +ruby-1.8.7_p249.ebuild:
184 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
185 version
186
187 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
188 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
189
190*ruby-1.8.7_p248 (25 Dec 2009)
191
192 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
193 Version bump
194
195 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
196 Remove old version.
197
198 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
199 Remove old version.
200
201 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
202 ia64/s390/sh stable wrt #288699
203
204 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
205 stable sparc, bug 288699
206
207 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
208 arm stable, bug #288699
209
210 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
211 amd64/x86 stable, bug #288699
212
213 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
214 ruby-1.8.7_p174-r1.ebuild:
215 Stable on alpha, bug #288699
216
217 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
218 ppc stable #288699
219
220 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
221 Stable for HPPA (bug #288699).
222
223 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
224 Marked ~hppa too.
225
226*ruby-1.8.7_p174-r1 (06 Oct 2009)
227
228 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
229 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
230 eselect-ruby cleanup feature.
231
232*ruby-1.9.1_p243 (09 Sep 2009)
233
234 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
235 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
236 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
237 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
238 -files/ruby19-rubygems-proxy.patch,
239 -files/ruby-1.9.1_p129-parallelmake.patch,
240 -files/ruby19-mkmf-parallel-install.patch:
241 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
242 168939. Cleaning up old patches.
243
244*ruby-1.8.6_p383 (20 Aug 2009)
245
246 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
247 Patchlevel bump.
248
249 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
250 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
251 ruby-1.9.1_p129-r1.ebuild:
252 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
253
254 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
255 Removing vulnerable ebuild, bug 273213.
256
257 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
258 Marking ruby-1.8.6_p369 ppc for bug 273213
259
260 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
261 ruby-1.9.1_p129-r1.ebuild:
262 Prepend our library path instead of overwriting it during src_install.
263 Thanks to the reporter of bug #274824.
264
265*ruby-1.8.7_p174 (18 Jun 2009)
266
267 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
268 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
269 Replacing 187_p173 with _p174 because of a regression. Unifying the
270 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
271 patchsets.
272
273 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
274 Marking ruby-1.8.6_p369 ppc64 for bug 273213
275
276 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
277 arm/ia64/s390/sh/sparc stable wrt #273213
278
279 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
280 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
281 Removing old version, minor cleanup
282
283 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
284 -files/ruby-1.8.6-openssl.patch,
285 -files/ruby-1.8.6-shortname_constants.patch,
286 -files/ruby-1.8.6_p111-r13657.patch,
287 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
288 Removing vulnerable old Ruby version and stale patches, bug 274108.
289
290 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
291 ruby-1.8.6_p369.ebuild:
292 Stable on alpha, bug #273213
293
294 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
295 Stable for HPPA (bug #273213).
296
297 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
298 ruby-1.8.6_p369.ebuild:
299 stable x86, security bug 273213
300
301 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
302 amd64 stable, security bug 273213.
303
304*ruby-1.8.7_p173 (10 Jun 2009)
305*ruby-1.8.6_p369 (10 Jun 2009)
306
307 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
308 +ruby-1.8.7_p173.ebuild:
309 Version bumps for bug #273213.
310
311*ruby-1.9.1_p129-r1 (27 May 2009)
312
313 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
314 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
315 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
316 +files/ruby-1.9.1_p129-parallelmake.patch:
317 Revision bump, add patches 1) to make Ruby behave more similarly between
318 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
319 extensions (undefined symbols in them will cause abort at runtime 3) to
320 remove a concurrency issue when building the dl extension that could
321 result in a broken dl.so.
322
323 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
324 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
325 Don't block rdoc-2 or later (which may enter Portage one day as it's
326 needed by some Rakefiles).
327
328 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
329 ruby-1.9.1_p129.ebuild:
330 Add ~x86-fbsd keyword.
331
332 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
333 keyword ~sparc-fbsd, bug #252315
334
335*ruby-1.9.1_p129 (15 May 2009)
336
337 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
338 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
339 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
340 included in every release.
341
342 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
343 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
344 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
345 ruby-1.8.7_p160.ebuild:
346 Removing vulnerable versions (#268515), fixing license (#233747).
347
348 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
349 Stable for HPPA (bug #268515).
350
351 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
352 Adapting rubygems notice.
353
354 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
355 amd64 stable, bug #268515.
356
357 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
358 arm/ia64/s390/sh/sparc stable wrt #268515
359
360 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
361 ruby-1.8.6_p368.ebuild:
362 stable x86, security bug 268515
363
364 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
365 ruby-1.8.6_p368.ebuild:
366 Stable on alpha, bug #268515
367
368 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
369 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
370
371*ruby-1.8.7_p160 (07 May 2009)
372*ruby-1.8.6_p368 (07 May 2009)
373
374 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
375 +ruby-1.8.7_p160.ebuild:
376 Version bump as per secbug 268515. NB: These are the first ebuilds that
377 no longer use ruby-config.
378
379*ruby-1.9.1-r1 (03 Apr 2009)
380*ruby-1.8.7_p72-r11 (03 Apr 2009)
381*ruby-1.8.6_p287-r13 (03 Apr 2009)
382
383 03 Apr 2009; Alex Legler <a3li@gentoo.org>
384 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
385 +files/ruby18-mkmf-parallel-install.patch,
386 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
387 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
388 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
389 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
390 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
391 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
392 happy.
393
394*ruby-1.9.1 (21 Mar 2009)
395
396 21 Mar 2009; Alex Legler <a3li@gentoo.org>
397 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
398 +ruby-1.9.1.ebuild:
399 Adding Ruby 1.9.1 for preliminary testing
400
401 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
402 ruby-1.8.6_p287-r12.ebuild:
403 Marked ~ppc for bug #252315.
404
405 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
406 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
407 bug 261982.
408
409 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
410 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
411 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
412 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
413 Cleanup
414
415*ruby-1.8.7_p72-r10 (07 Mar 2009)
416
417 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
418 +ruby-1.8.7_p72-r10.ebuild:
419 Add a revision of ruby 1.8.7 using eselect ruby.
420
421 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
422 ~mips keyworded, bug #252315.
423
424 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
425 ruby-1.8.6_p287-r5.ebuild:
426 ppc stable, bug #260006
427
428 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
429 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
430
431 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
432 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
433 Fixing Tk USE flag test, bug 258893.
434
435 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
436 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
437
438 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
439 ruby-1.8.6_p287-r5.ebuild:
440 amd64 stable wrt security bug #260006
441
442 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
443 Stable for HPPA (bug #260006).
444
445 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
446 ruby-1.8.6_p287-r5.ebuild:
447 Stable on alpha, bug #260006
448
449*ruby-1.8.7_p72-r2 (23 Feb 2009)
450*ruby-1.8.6_p287-r12 (23 Feb 2009)
451*ruby-1.8.6_p287-r5 (23 Feb 2009)
452
453 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
454 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
455 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
456 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
457 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
458 now before compilation if Tk useflags don't match) and 230748 (adding
459 --enable-option-checking=no for newer versions of autoconf).
460
461 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
462 arm/ia64/s390/sh/sparc stable wrt #254307
463
464 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
465 ruby-1.8.6_p287-r4.ebuild:
466 Stable on alpha, bug #254307
467
468 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
469 ruby-1.8.6_p287-r11.ebuild:
470 keyword ~x86-fbsd, bug #252315
471
472 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
473 ppc stable #254307
474
475 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
476 amd64/x86 stable, bug #254307
477
478 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
479 stable ppc64, bug 254307
480
481 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
482 Stable for HPPA (bug #254307).
483
484 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
485 ruby-1.8.6_p287-r11.ebuild:
486 Marked ~hppa (bug #252315).
487
488*ruby-1.8.6_p287-r11 (11 Jan 2009)
489
490 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
491 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
492 +ruby-1.8.6_p287-r11.ebuild:
493 Backport conditional definition of missing openssl functions from ruby 1.8.7.
494 Fixes #254307.
495
496 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
497 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
498
499 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
500 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
501
502 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
503 ruby-1.8.6_p287-r10.ebuild:
504 Add ~sparc keyword, bug #252315
505
506*ruby-1.8.6_p287-r10 (23 Dec 2008)
507
508 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
509 +ruby-1.8.6_p287-r10.ebuild:
510 Version bump which switches from ruby-config to eselect-ruby. Dropped most
511 keywords since eselect-ruby does not yet have these keywords.
512
513 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
514 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
515 Revert the ruby-config changes. We can't remove them until we provide an
516 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
517 for breaking things as mentioned in bug #251833.
518
519 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
520 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
521 ruby-1.8.7_p72-r1.ebuild:
522 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
523 Thanks for the people noticing this in bug #251833.
524
525 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
526 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
527 ruby-1.8.7_p72-r1.ebuild:
528 Drop dependency on ruby-config, which will be removed from the tree. We
529 currently only have one major version of ruby in the tree (Ruby 1.8), so there
530 is no need for ruby-config at this moment. For newer versions of Ruby we will
531 use eselect-ruby, which can be found in the ruby overlay at the moment.
532
533 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
534 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
535 Use mirror://ruby in SRC_URI, fixes #237392.
536
537 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
538 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
539 -ruby-1.8.7_p72.ebuild:
540 Remove old versions. Leave one old stable version with cjk support.
541
542*ruby-1.8.6_p287-r3 (29 Nov 2008)
543
544 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
545 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
546 +ruby-1.8.6_p287-r3.ebuild:
547 Fix our expansion limit patch according to debian bug report
548 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
549 make sure people will pick up the fixed version. Thanks to Alex Legler for
550 mentioning the patch.
551
552*ruby-1.8.7_p72-r1 (26 Nov 2008)
553*ruby-1.8.6_p287-r2 (26 Nov 2008)
554
555 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
556 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
557 +ruby-1.8.7_p72-r1.ebuild:
558 Fix problem with shortname constants #247790, already fixed in upstream SVN.
559 Thanks to Alex Legler for providing the patch.
560
561 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
562 -ruby-1.8.6_p287.ebuild:
563 Remove versions that will not become stable
564
565 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
566 ruby-1.8.6_p287-r1.ebuild:
567 ppc stable, bug #225465
568
569 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
570 ruby-1.8.6_p287-r1.ebuild:
571 amd64 stable wrt security bug #225465
572
573 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
574 alpha/ia64/x86 stable wrt #225465
575
576 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
577 ruby-1.8.6_p287-r1.ebuild:
578 Sparc stable --- Security Bug #225465 --- good since late August.
579
580 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
581 Stable on ppc64; bug #225465
582
583 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
584 Stable for HPPA (bug #225465).
585
586*ruby-1.8.6_p287-r1 (29 Aug 2008)
587
588 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
589 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
590 +ruby-1.8.6_p287-r1.ebuild:
591 Fix REXML security issues, bug #236060.
592
593 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
594 Add GLEP 56 USE flag descriptions.
595
596*ruby-1.8.7_p72 (15 Aug 2008)
597
598 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
599 +ruby-1.8.7_p72.ebuild:
600 bump 1.8.7 to latest patch release
601
602*ruby-1.8.6_p287 (11 Aug 2008)
603
604 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
605 Version bump for brown paper bag relelease.
606
607 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
608 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
609 Remove broken version in favor of the just-added 1.8.6_p286
610
611*ruby-1.8.6_p286 (10 Aug 2008)
612
613 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
614 Version bump to latest released version of ruby 1.8.6. This version fixes the
615 security issues reported in #225465 and #234224. The cjk USE flag has been
616 dropped since no compatible patches have been released yet.
617
618 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
619 ruby-1.8.6_p230.ebuild:
620 drop cjk from SRC_URI as well
621
622 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
623 Drop cjk support since the most recent oniguruma patches no longer apply to
624 this version, #230111.
625
626 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
627 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
628 Try to fix the security issues reported in #225465 for ruby 1.8.6.
629 Unfortunately the official p230 has a change which causes segmentation faults
630 for applications like Rails and RSpec, so we are reverting that specific
631 change.
632
633*ruby-1.8.7_p22 (29 Jun 2008)
634
635 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
636 +ruby-1.8.7_p22.ebuild:
637 bump 1.8.7 for security fix
638
639 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
640 nevermind, don't bump this yet
641
642*ruby-1.8.6_p230 (20 Jun 2008)
643
644 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
645 version bump
646
647*ruby-1.8.7 (10 Jun 2008)
648
649 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
650 +ruby-1.8.7.ebuild:
651 bump 1.8.7 to final
652
653*ruby-1.8.7_pre2 (21 Apr 2008)
654
655 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
656 +ruby-1.8.7_pre2.ebuild:
657 Version Bump
658
659*ruby-1.8.7_pre1 (16 Apr 2008)
660
661 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
662 Version bump. Drop cjk until a new version of oniguruma appears.
663
664 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
665 amd64 stable, bug 212264
666
667 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
668 Stable for HPPA (bug #212264).
669
670 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
671 ruby-1.8.6_p114.ebuild:
672 ppc stable, bug #212264
673
674 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
675 alpha/ia64 stable wrt #212264
676
677 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
678 ruby-1.8.6_p114.ebuild:
679 stable x86, security bug 212264
680
681 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
682 Sparc stable, Security Bug #212264, builds and installs, initial tests run
683 as expected.
684
685 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
686 Marking ruby-1.8.6_p114 ppc64 for bug 212264
687
688*ruby-1.8.6_p114 (05 Mar 2008)
689
690 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
691 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
692 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
693 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
694 Version bump for #212264. Remove old ebuilds.
695
696 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
697 alpha/ia64 stable wrt #208916
698
699 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
700 Stable on ppc wrt bug 208916
701
702 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
703 x86 stable, bug #208916
704
705 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
706 ruby-1.8.6_p111-r1.ebuild:
707 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
708
709 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
710 -files/ruby-1.8.6-exit-status.patch,
711 -files/ruby-1.8.6_p110-net-http-p111.patch,
712 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
713 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
714 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
715 Remove old versions
716
717 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
718 Stable on ppc64
719
720 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
721 Stable on amd64; bug 199191
722
723 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
724 alpha/ia64/sparc stable wrt #199191
725
726 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
727 Remove now-obsolete warning about coreutils versions, #203156.
728
729 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
730 Stable for HPPA (bug #199191).
731
732*ruby-1.8.6_p111-r1 (23 Dec 2007)
733
734 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
735 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
736 ssl USE flags. Patch to p113.
737
738 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
739 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
740
741 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
742 x86 stable, security bug #199191
743
744*ruby-1.8.6_p111 (23 Dec 2007)
745
746 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
747 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
748 Version bump with patch for bug #199191
749
750 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
751 Move dependency on (X)Emacs modes to PDEPEND.
752
753 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
754 Add back ~hppa keyword now that XEmacs support files have been keyworded,
755 bug 196413
756
757*ruby-1.8.6_p110-r2 (21 Oct 2007)
758
759 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
760 +ruby-1.8.6_p110-r2.ebuild:
761 Add emacs and xemacs USE flags and use them to pull in the correct editing
762 mode for each. Had to drop several arch keywords as reported on bug 196413.
763
764 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
765 amd64 stable, security bug 194236
766
767 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
768 ruby-1.8.6_p110-r1.ebuild:
769 Stable on ppc64; bug #194236
770
771 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
772 amd64 stable, security bug 194236
773
774 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
775 Stable for HPPA (bug #194236).
776
777 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
778 alpha/ia64/sparc stable wrt security #194236
779
780 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
781 ruby-1.8.6_p110-r1.ebuild:
782 ppc stable, bug #194236
783
784 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
785 ruby-1.8.6_p110-r1.ebuild:
786 stable x86, security bug 194236
787
788 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
789 ruby-1.8.5_p113.ebuild:
790 stable x86, security bug 194236
791
792 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
793 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
794 -ruby-1.8.6_p110.ebuild:
795 Remove old versions
796
797*ruby-1.8.6_p110-r1 (30 Sep 2007)
798*ruby-1.8.5_p113 (30 Sep 2007)
799
800 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
801 +files/ruby-1.8.5_p113-net-http-p114.patch,
802 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
803 +ruby-1.8.6_p110-r1.ebuild:
804 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
805 using 1.8.6-p110 as base ebuild.
806
807 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
808 More fixes from gentoo-dev and graaff
809
810 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
811 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
812
813*ruby-1.8.6_p110 (24 Sep 2007)
814
815 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
816 Version bump
817
818*ruby-1.8.6_p36-r4 (26 Aug 2007)
819
820 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
821 +ruby-1.8.6_p36-r4.ebuild:
822 Use user LDFLAGS, #181436
823
824 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
825 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
826 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
827 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.
828
829 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.5_p2.ebuild,
830 -ruby-1.8.5_p12.ebuild, -ruby-1.8.6_p36-r1.ebuild,
831 -ruby-1.8.6_p36-r2.ebuild:
832 Remove some older versions that will not be promoted to stable, keeping at
833 least one version of each release.
834
835 05 Jul 2007; Piotr Jaroszyński <peper@gentoo.org>
836 ruby-1.8.6_p36-r3.ebuild:
837 (QA) RESTRICT clean up.
838
839*ruby-1.8.6_p36-r3 (04 Jul 2007)
840
841 04 Jul 2007; Mike Doty <kingtaco@gentoo.org>
842 +files/ruby-1.8.6-memory-leak.diff, +ruby-1.8.6_p36-r3.ebuild:
843 fixed memory leak loading .so bug #182946
844
845 02 Jul 2007; Piotr Jaroszyński <peper@gentoo.org> ruby-1.8.4-r3.ebuild,
846 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
847 ruby-1.8.5_p35.ebuild, ruby-1.8.6-r1.ebuild, ruby-1.8.6_p36-r1.ebuild,
848 ruby-1.8.6_p36-r2.ebuild:
849 (QA) RESTRICT clean up.
850
851 21 Jun 2007; Fernando J. Pereda <ferdy@gentoo.org> ruby-1.8.6-r1.ebuild:
852 Re-add stable keyword for alpha as per bug #181110
853
854 21 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
855 Back to ~amd64 wrt bug 181110
856
857 21 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
858 Mark 1.8.6 unstable on alpha/ia64/x86 wrt #181110
859
860*ruby-1.8.6_p36-r2 (20 Jun 2007)
861
862 20 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36-r2.ebuild:
863 Re-add cjk USE flag, thanks to Hannes Wyss, bug #182671
864
865*ruby-1.8.6_p36-r1 (18 Jun 2007)
866
867 18 Jun 2007; Richard Brown <rbrown@gentoo.org>
868 +files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
869 -ruby-1.8.6_p36.ebuild, +ruby-1.8.6_p36-r1.ebuild:
870 Add prototype fix from ruby -r12567 [ruby-list:43615]. Thanks to peper and
871 spbecker
872
873 14 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
874 Stable on amd64 wrt bug 181110
875
876*ruby-1.8.6_p36 (12 Jun 2007)
877
878 12 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36.ebuild:
879 Version Bump. Bug #181379
880
881 10 Jun 2007; Joshua Kinard <kumba@gentoo.org> ruby-1.8.6-r1.ebuild:
882 Stable on mips, per #181110.
883
884 09 Jun 2007; nixnut <nixnut@gentoo.org> ruby-1.8.6-r1.ebuild:
885 Stable on ppc wrt bug 181110
886
887 09 Jun 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6-r1.ebuild:
888 Stable for HPPA (bug #181110).
889
890 09 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
891 alpha/ia64/x86 stable wrt #181110
892
893 07 Jun 2007; Gustavo Zacarias <gustavoz@gentoo.org> ruby-1.8.6-r1.ebuild:
894 Stable on sparc wrt #181110
895
896 06 Jun 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6-r1.ebuild:
897 Marking ruby-1.8.6-r1 ppc64 stable for bug#181110
4 898
5 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild, 899 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild,
6 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild, 900 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
7 ruby-1.8.5_p35.ebuild: 901 ruby-1.8.5_p35.ebuild:
8 Add RESTRICT="test" to ebuilds that have no hope of passing. 902 Add RESTRICT="test" to ebuilds that have no hope of passing.

Legend:
Removed from v.1.275  
changed lines
  Added in v.1.469

  ViewVC Help
Powered by ViewVC 1.1.20